"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = BreadcrumbCustom;

var _reactBootstrap = require("react-bootstrap");

var _reactRouterDom = require("react-router-dom");

require("./breadcrumb.scss");

function BreadcrumbCustom(_ref) {
  var items = _ref.items;
  return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement("div", {
    className: "breadcrumb-custom-holder"
  }, /*#__PURE__*/React.createElement(_reactBootstrap.Container, null, /*#__PURE__*/React.createElement(_reactBootstrap.Row, null, /*#__PURE__*/React.createElement(_reactBootstrap.Col, {
    md: 12
  }, /*#__PURE__*/React.createElement(_reactBootstrap.Breadcrumb, {
    className: "breadcrumb-custom"
  }, items.map(function (item, index) {
    return index + 1 === items.length ? /*#__PURE__*/React.createElement(_reactBootstrap.BreadcrumbItem, {
      key: index,
      active: true
    }, item.title) : /*#__PURE__*/React.createElement(_reactBootstrap.BreadcrumbItem, {
      key: index,
      as: _reactRouterDom.NavLink,
      to: item.link
    }, item.title);
  })))))));
}